Last modified: 2012-10-04 09:53:04 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 36104 - Enable Bengali typing tool in Bengali Wikisource
Enable Bengali typing tool in Bengali Wikisource
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Extension setup (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Niklas Laxström
: i18n
Depends on: 36217
Blocks: 40760
  Show dependency treegraph
 
Reported: 2012-04-19 17:12 UTC by Belayet Hossain
Modified: 2012-10-04 09:53 UTC (History)
13 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Belayet Hossain 2012-04-19 17:12:10 UTC
Please enable Bengali typing tool at bnwikisource. So that user can type Bengali from the site without any tool available at their computer locally.
Comment 1 Tanvir Rahman 2012-04-19 17:14:09 UTC
Is there any local consensus to enable the Bangla typing too there? If so link to that consensus please.
Comment 2 Siebrand Mazeland 2012-04-19 19:19:58 UTC
Will be scheduled for enabling during the i18n deployment window on a Tuesday soon as consensus link is present.
Comment 3 Belayet Hossain 2012-04-20 13:53:13 UTC
Typing tool is already present in Bengali Wikipedia. If it is important for Wikipedia and then why not for other wiki in same language. 

Since Bengali Wikipedia is the largest wiki in Bengali language and have the typing tool, why we need consensus for the same tool for smaller wiki like wikisource, wiktionary, wikibooks, where consensus may not applicable due to poor number of users?

If the consensus is really important for this particular context, I've asked opinion from other regular user in local wiki, here is the link: http://bit.ly/Jk1kY1
Comment 4 Santhosh Thottingal 2012-04-20 15:43:40 UTC
(In reply to comment #3)
> Typing tool is already present in Bengali Wikipedia.

The existing typing tool in Bengali wikipedia is a local javascript hack and there is no official support for that. By typing tool we mean http://www.mediawiki.org/wiki/Extension:Narayam This is the extension deployed in many non-latin wikis for typing and officially supported by WMF Localization team.

Please clarify whether you are looking for copying the javascript tool to wikisource or whether you are looking for Narayam input method extension. If it is the first one, then the category is not extension setup.
Comment 5 Belayet Hossain 2012-04-21 05:07:00 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > Typing tool is already present in Bengali Wikipedia.
> 
> The existing typing tool in Bengali wikipedia is a local javascript hack and
> there is no official support for that. By typing tool we mean
> http://www.mediawiki.org/wiki/Extension:Narayam This is the extension deployed
> in many non-latin wikis for typing and officially supported by WMF Localization
> team.
> 
> Please clarify whether you are looking for copying the javascript tool to
> wikisource or whether you are looking for Narayam input method extension. If it
> is the first one, then the category is not extension setup.

As user, we need typing tool, no matter whether it is javascript hack or extension. As far as I know existing Bengali Wikipedia scripts and the scripts for Bengali typing in Narayam extension are exactly same and does the same thing. So if we have anything that has official support, there is no reason to go for an unofficial script!
Comment 6 Tanvir Rahman 2012-04-21 05:12:26 UTC
May I also add here that the keyboard layout Narayam is using right now is not error-proof for Bangla as of now. I don't think it is not a good idea to implement a extension at this point. I am happy to implement the JavaScript tool that we are using in Bangla Wikipedia with my steward tool. I have pointed this out in the local discussion.
Comment 7 Tanvir Rahman 2012-04-21 05:17:23 UTC
I don't think it is a good idea* (typo fixing)

For your information, Bangla Wiktionary and Bangla Wikibooks (that's all other Bangla projects remaining) are already using this in a JS form because they don't feel like installing an extension which is not error-proof for Bangla yet.
Comment 8 Srikanth Logic 2012-04-21 05:21:41 UTC
(In reply to comment #7)
> I don't think it is a good idea* (typo fixing)
> 
> For your information, Bangla Wiktionary and Bangla Wikibooks (that's all other
> Bangla projects remaining) are already using this in a JS form because they
> don't feel like installing an extension which is not error-proof for Bangla
> yet.

Can you please file bugs to make Bangla layout in Narayam error free? Narayam is also used in meta(where people translate incl fundraising messages), translatewiki(where they translate mediawiki/other software), commons and possibly whole lot of other mediawiki installations as well. Using the script may be possible in bn.wikisource, but not these above places. So it makes more sense to fix issues in Narayam and use it everywhere to provide consistent experience as well.
Comment 9 Belayet Hossain 2012-04-24 04:21:42 UTC
My opinion is, deploy the extension in wikis. Without using it, you can not point out the specific error in the layout. When you find an error just file a bug to make the layout error free. If you are not going to use it and file the bug, it'll never be error free for your language.
Comment 10 Srikanth Logic 2012-04-24 04:25:21 UTC
(In reply to comment #9)
> My opinion is, deploy the extension in wikis. Without using it, you can not
> point out the specific error in the layout. When you find an error just file a
> bug to make the layout error free. If you are not going to use it and file the
> bug, it'll never be error free for your language.

extension is already deployed on translatewiki.net and is available to test. Please file bugs on errors.
Comment 11 Belayet Hossain 2012-04-24 13:18:21 UTC
(In reply to comment #10)
> (In reply to comment #9)
> > My opinion is, deploy the extension in wikis. Without using it, you can not
> > point out the specific error in the layout. When you find an error just file a
> > bug to make the layout error free. If you are not going to use it and file the
> > bug, it'll never be error free for your language.
> 
> extension is already deployed on translatewiki.net and is available to test.
> Please file bugs on errors.

I've file the bug: https://bugzilla.wikimedia.org/show_bug.cgi?id=36217
Comment 12 Santhosh Thottingal 2012-07-22 13:01:26 UTC
Since Bug 36217 is closed, assigning to Niklas for deployment.
Comment 13 Alex Monk 2012-07-22 13:11:29 UTC
Gerrit change #16252
Comment 14 Niklas Laxström 2012-07-24 09:11:54 UTC
There it is.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links